#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	SMTP-SSL
Summary:	Net::SMTP::SSL - An SMTP client supporting SSL
Summary(pl.UTF-8):	Net::SMTP::SSL - klient SMTP obsługujący SSL
Name:		perl-Net-SMTP-SSL
Version:	1.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	62b49c961043898b43b041dafbc1b389
URL:		http://search.cpan.org/dist/Net-SMTP-SSL/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-IO-Socket-SSL
BuildRequires:	perl-Net-SSLeay
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::SMTP::SSL implements the same API as Net::SMTP, but uses
IO::Socket::SSL for its network operations.

%description -l pl.UTF-8
Net::SMTP::SSL implementuje API identyczne z Net::SMTP, ale używa
IO::Socket::SSL do operacji sieciowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Net/SMTP/SSL.pm
%{_mandir}/man3/Net::SMTP::SSL.3pm*
%changelog
* Tue Jan 29 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-SMTP-SSL.git;a=log;h=master

* Thu Dec 20 2018 Marcin Krol <hawk@tld-linux.org> b30dffe
- updated to 1.04

* Tue Aug 02 2016 Mariusz Mazur <mmazur@axeos.com> 78145b0
- UP to 1.03

* Mon Dec 05 2011 Jakub Bogusz <qboosh@pld-linux.org> f4029e3
- more verbose files

* Fri Dec 18 2009 hawk <hawk@pld-linux.org> dae7459
- new spec, based on perl-Net-SMTP-TLS

